"""jabberfr URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path, re_path
from django.views.generic import TemplateView, RedirectView

from jabberfr.views import get_root_index, hebergement, inscription, adhesion


PAGES = [
    ('legal', 'legal.html'),
    ('contact', 'contact.html'),
    ('inscription', 'inscription.html'),
]

urlpatterns = [
    path('', get_root_index),
    re_path('hébergement/?', hebergement),
    re_path('hebergement/?', RedirectView.as_view(url='/hébergement')),
    re_path('inscription/?', inscription),
    re_path('adhesion/?', adhesion),
    path('inscription/<str:domain>', inscription),
]

urlpatterns += [
    path(url, TemplateView.as_view(template_name=template_name))
    for url, template_name in PAGES
]
