from django.core.exceptions import ValidationError
from slixmpp import JID, InvalidJID


def validate_jid_userpart(value):
    if len(value.encode('utf-8')) > 1023:
        raise ValidationError(
            f'"{value[:50]}…" est trop long pour être un nom d’utilisateur valide.'
        )
    try:
        JID(f'{value}@example.com')
    except InvalidJID:
        raise ValidationError(
            f'"{value}" n’est pas un nom d’utilisateur valide.'
        )


def validate_jid(value):
    try:
        jid = JID(value)
        if not jid.user or not jid.server:
            raise InvalidJID
    except InvalidJID:
        raise ValidationError(
            f'"{value}" n’est pas un identifiant XMPP valide'
        )
